com.collabnet.ce.soap60.webservices.discussion

## Class PostSoapRow

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.discussion.PostSoapRow

-     public class PostSoapRow
      extends Object

  A discussion post list is represented by PostSoapList. Each row within a post list is represented by the PostSoapRow class.
  Change History
  Release: 4.2
  - Dropped property 'truncated'.
  Since:
    4.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostSoapRow()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContent()` Returns 'content'.
    `String` | `getCreatedByUserName()` Returns 'createdByUserName'.
    `Date` | `getCreatedDate()` Returns 'createdDate'.
    `String` | `getForumId()` Returns 'forumId'.
    `String` | `getId()` Returns 'id'.
    `String` | `getProjectId()` Returns 'projectId'.
    `String` | `getReplyToId()` Returns 'replyToId'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getTitle()` Returns 'title'.
    `String` | `getTopicId()` Returns 'topicId'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setContent(String content)` Sets 'content'.
    `void` | `setCreatedByUserName(String createdByUserName)` Sets 'createdByUserName'.
    `void` | `setCreatedDate(Date createdDate)` Sets 'createdDate'.
    `void` | `setForumId(String forumId)` Sets 'forumId'.
    `void` | `setId(String id)` Sets 'id'.
    `void` | `setProjectId(String projectId)` Sets 'projectId'.
    `void` | `setReplyToId(String replyToId)` Sets 'replyToId'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setTitle(String title)` Sets 'title'.
    `void` | `setTopicId(String topicId)` Sets 'topicId'.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostSoapRow

          public PostSoapRow()

  - ### Method Detail

    - #### getId

          public String getId()

      Returns 'id'. ID of the discussion post.
      Returns:
        Value of 'id'.

    - #### setId

          public void setId(String id)

      Sets 'id'. ID of the discussion post.
      Parameters:
        `id` - Value of 'id'.

    - #### getReplyToId

          public String getReplyToId()

      Returns 'replyToId'. ID of the original post to which this is a reply.
      Returns:
        Value of 'replyToId'.

    - #### setReplyToId

          public void setReplyToId(String replyToId)

      Sets 'replyToId'. ID of the original post to which this is a reply.
      Parameters:
        `replyToId` - Value of 'replyToId'.

    - #### getTitle

          public String getTitle()

      Returns 'title'. Discussion post title.
      Returns:
        Value of 'title'.

    - #### setTitle

          public void setTitle(String title)

      Sets 'title'. Discussion post title.
      Parameters:
        `title` - Value of 'title'.

    - #### getContent

          public String getContent()

      Returns 'content'. Discussion post contents.
      Returns:
        Value of 'content'.

    - #### setContent

          public void setContent(String content)

      Sets 'content'. Discussion post contents.
      Parameters:
        `content` - Value of 'content'.

    - #### getProjectId

          public String getProjectId()

      Returns 'projectId'. ID of the project associated with this post.
      Returns:
        Value of 'projectId'.

    - #### setProjectId

          public void setProjectId(String projectId)

      Sets 'projectId'. ID of the project associated with this post.
      Parameters:
        `projectId` - Value of 'projectId'.

    - #### getForumId

          public String getForumId()

      Returns 'forumId'. ID of the forum associated with this post.
      Returns:
        Value of 'forumId'.

    - #### setForumId

          public void setForumId(String forumId)

      Sets 'forumId'. ID of the forum associated with this post.
      Parameters:
        `forumId` - Value of 'forumId'.

    - #### getTopicId

          public String getTopicId()

      Returns 'topicId'. ID of the topic associated with this post.
      Returns:
        Value of 'topicId'.

    - #### setTopicId

          public void setTopicId(String topicId)

      Sets 'topicId'. ID of the topic associated with this post.
      Parameters:
        `topicId` - Value of 'topicId'.

    - #### getCreatedByUserName

          public String getCreatedByUserName()

      Returns 'createdByUserName'. User who created this post.
      Returns:
        Value of 'createdByUserName'.

    - #### setCreatedByUserName

          public void setCreatedByUserName(String createdByUserName)

      Sets 'createdByUserName'. User who created this post.
      Parameters:
        `createdByUserName` - Value of 'createdByUserName'.

    - #### getCreatedDate

          public Date getCreatedDate()

      Returns 'createdDate'. Date this post was created.
      Returns:
        Value of 'createdDate'.

    - #### setCreatedDate

          public void setCreatedDate(Date createdDate)

      Sets 'createdDate'. Date this post was created.
      Parameters:
        `createdDate` - Value of 'createdDate'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. Status of the post indicating whether it is authorized or not
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. Status of the post indicating whether it is authorized or not
      Parameters:
        `status` - Value of 'status'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.